import request from '@/utils/request'

// 查询company列表
export function listCompany(queryParams) {
  console.log("data是什么",queryParams)
  return request({
    url: '/company/company/list',
    method: 'get',
    params: queryParams
  })
}

// 查询company详细
export function getCompany(id) {
  return request({
    url: '/company/company/' + id,
    method: 'get'
  })
}

// 新增company
export function addCompany(data) {
  return request({
    url: '/company/company',
    method: 'post',
    data: data
  })
}

// 修改company
export function updateCompany(data) {
  return request({
    url: '/company/company',
    method: 'put',
    data: data
  })
}

// 删除company
export function delCompany(id) {
  return request({
    url: '/company/company/' + id,
    method: 'delete'
  })
}
